Working on FF9 Rated 5 out of 5 stars

Good news for people using Firefox 9. It is working on Firefox 9.0a1 Nightly.. Just remember to modify the max version in your install.rdf and set it to 9.* (<em:maxVersion>9.*</em:maxVersion>)

This review is for a previous version of the add-on (0.4.5.20110826).  This user has a previous review of this add-on.